package com.zcloud.fire.check.web;


import com.alibaba.cola.dto.MultiResponse;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.Response;
import com.alibaba.cola.dto.SingleResponse;
import com.jjb.saas.framework.auth.model.SSOUser;
import com.jjb.saas.framework.auth.utils.AuthContext;
import com.zcloud.fire.check.api.FireCheckRecordPointServiceI;
import com.zcloud.fire.check.dto.FireCheckRecordPointAddCmd;
import com.zcloud.fire.check.dto.FireCheckRecordPointPageQry;
import com.zcloud.fire.check.dto.FireCheckRecordPointUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckRecordPointCO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.ArrayList;

/**
 * web-adapter
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:19
 */
@ApiIgnore
@Api(tags = "消防点位检查记录点位表",hidden = true)
@RequestMapping("/${application.gateway}/fireCheckRecordPoint")
@RestController
@AllArgsConstructor
@Deprecated
public class FireCheckRecordPointController {
    private final FireCheckRecordPointServiceI fireCheckRecordPointService;

    @ApiOperation("新增")
    @PostMapping("/save")
    public SingleResponse<FireCheckRecordPointCO> add(@Validated @RequestBody FireCheckRecordPointAddCmd cmd) {
        SSOUser ssoUser = AuthContext.getCurrentUser();
        return fireCheckRecordPointService.add(cmd);
    }

    @ApiOperation("分页")
    @PostMapping("/list")
    public PageResponse<FireCheckRecordPointCO> page(@RequestBody FireCheckRecordPointPageQry qry) {
        return fireCheckRecordPointService.listPage(qry);
    }

    @ApiOperation("所有数据")
    @GetMapping("/listAll")
    public MultiResponse<FireCheckRecordPointCO> listAll() {
        return MultiResponse.of(new ArrayList<FireCheckRecordPointCO>());
    }

    @ApiOperation("详情")
    @GetMapping("/{id}")
    public SingleResponse<FireCheckRecordPointCO> getInfoById(@PathVariable("id") Long id) {
        return SingleResponse.of(new FireCheckRecordPointCO());
    }

    @ApiOperation("删除")
    @DeleteMapping("/{id}")
    public Response remove(@PathVariable("id") Long id) {
        fireCheckRecordPointService.remove(id);
        return SingleResponse.buildSuccess();
    }

    @ApiOperation("删除多个")
    @DeleteMapping("/ids")
    public Response removeBatch(@RequestParam Long[] ids) {
        fireCheckRecordPointService.removeBatch(ids);
        return SingleResponse.buildSuccess();
    }

    @ApiOperation("修改")
    @PutMapping("/edit")
    public SingleResponse edit(@Validated @RequestBody FireCheckRecordPointUpdateCmd fireCheckRecordPointUpdateCmd) {
        fireCheckRecordPointService.edit(fireCheckRecordPointUpdateCmd);
        return SingleResponse.buildSuccess();
    }
}

